org.apache.ignite.internal

## Interface IgniteDiagnosticAware

All Known Implementing Classes:
  GridDhtColocatedLockFuture, GridDhtPartitionsExchangeFuture, GridDhtTxFinishFuture, GridDhtTxPrepareFuture, GridPartitionedSingleGetFuture

    public interface IgniteDiagnosticAware

### Method Summary

Methods
`void` `addDiagnosticRequest(IgniteDiagnosticPrepareContext ctx)`

### Method Detail

#### addDiagnosticRequest

    void addDiagnosticRequest(IgniteDiagnosticPrepareContext ctx)

Parameters:
  `ctx` - Context.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017